Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Problem mit Trans

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Problem mit Trans (685 mal gelesen)
CADesigner
Mitglied
Diplom-Ingenieur


Sehen Sie sich das Profil von CADesigner an!   Senden Sie eine Private Message an CADesigner  Schreiben Sie einen Gästebucheintrag für CADesigner

Beiträge: 45
Registriert: 20.10.2003

erstellt am: 24. Jun. 2005 16:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

Habe 2 Linien bei denen ich gerne die Punkte auslesen würde. Doch leider bekomme ich diese nicht korrekt ins WKS!!!???
1.) Lese die Punkte aus dem Emntity
2.) Bearbeite diese mit (trans pkt entity 0)! geht nicht
3.) Bearbeite die Punkte mit (trans pkt 1 0)! geht nicht
4.) Bearbeite die Punkte mit (trans pkt 0 1)! geht nicht

Der 210 Vektor steht nicht auf (list 0 0 1)

Aber leider weis ich nmicht, was ich damit machen soll!!??

Kann mir jemand helfen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 24. Jun. 2005 21:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADesigner 10 Unities + Antwort hilfreich

Hallo CADesigner,

was heißt denn: geht nicht?

(trans(cdr(assoc 10 (entget (setq LINE (car(entsel)))))) LINE 0) sollte schon gehen.
Ist das WKS aktuell? Wie prüfst du denn, ob das richtig heraus kommt?

Grüße Holger

------------------
Holger Brischke
CAD on demand GmbH                              Autodesk User Group Central Europe
Individuelle Lösungen von Heute auf Morgen.              AUGCE Manager Deutschland

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADesigner
Mitglied
Diplom-Ingenieur


Sehen Sie sich das Profil von CADesigner an!   Senden Sie eine Private Message an CADesigner  Schreiben Sie einen Gästebucheintrag für CADesigner

Beiträge: 45
Registriert: 20.10.2003

erstellt am: 25. Jun. 2005 09:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


polyfrage.zip

 
Hallo,

ich habe momentan WKS aktiv! Die Punkte prüfe ich, indem ich im Debugmodus die Werte mir anschaue und auch eine neue Linie von den gelesenen Werten zeichne.

Habe das Beispiel als Datei angehängt!

Kannst du mir helfen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

One AutoCAD 2.5 - 2020, Civil 3D, Win10

erstellt am: 25. Jun. 2005 16:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADesigner 10 Unities + Antwort hilfreich

Die LWPOLYLINIEN haben eine Erhebung (GC 38) , die muss zusätzlich berücksichtigt werden.

Code:

(trans (append (cdr (assoc 10 elist))(list (cdr  (assoc 38 elist)))) (cdr (assoc 210 elist)) 0)


------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADesigner
Mitglied
Diplom-Ingenieur


Sehen Sie sich das Profil von CADesigner an!   Senden Sie eine Private Message an CADesigner  Schreiben Sie einen Gästebucheintrag für CADesigner

Beiträge: 45
Registriert: 20.10.2003

erstellt am: 27. Jun. 2005 09:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo ,

vielen Dank für die Info! Funktioniert jetzt richtig!!!!

Danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz